Bug 72239 (Draw-Cell-Filling) - table cell properties should be saved using style:table-cell-properties element
Summary: table cell properties should be saved using style:table-cell-properties element
Status: NEW
Alias: Draw-Cell-Filling
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:odf
Depends on: 103602
Blocks: ImpressDraw-Tables ImpressDraw-Styles Table-Styles
  Show dependency treegraph
 
Reported: 2013-12-02 18:28 UTC by David Tardon
Modified: 2018-10-28 11:23 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Tardon 2013-12-02 18:28:08 UTC
Draw/Impress save table cell attributes (e.g., background color or border format) in style:graphics-properties and style:paragraph-properties. They should use style:table-cell-properties where possible.

This is a complementary bug to bug 72238, which contains samples how the styles are currently saved and how they should be saved.
Comment 1 QA Administrators 2015-04-19 03:21:39 UTC Comment hidden (obsolete)
Comment 2 David Tardon 2015-04-19 07:42:28 UTC
Still wrong in current master.
Comment 3 Robinson Tryon (qubit) 2015-12-03 11:24:34 UTC
Converting Whiteboard tags to Keywords: filter:odf
Comment 4 Regina Henschel 2016-08-27 16:49:56 UTC
The element <style:graphic-properties> is not allowed in case of style:family="table-cell". LibreOffice writes invalid ODF.
Comment 5 QA Administrators 2017-09-01 11:17:49 UTC Comment hidden (obsolete)
Comment 6 Regina Henschel 2017-09-01 14:18:10 UTC
The problem is still there in Version: 6.0.0.0.alpha0+
Build ID: 4c99b8a9de59f3c5280ff2944d9f828822897f4a
CPU threads: 4; OS: Windows 6.1; UI render: default; 
Locale: de-DE (de_DE); Calc: group

In the meantime the namespace was changed to loext. That solves the part "invalid" of this issue, but it is still bad design, because it violates the rule, that properties which can be expressed in ODF1.2 should not be put into private namespace.

The problem <loext:graphic-properties> is part of the superordinate problem, how to bring the filling properties which come with the new Area dialog to ODF. There is an ongoing discussion about that topic in bug 103602.
Comment 7 QA Administrators 2018-09-02 02:49:33 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug